import 'package:flutter/material.dart';

class ClickableContainer extends InkWell {
  ClickableContainer({
    Key? key,
    void Function()? onTap,
    void Function()? onDoubleTap,
    void Function()? onLongPress,
    void Function(TapDownDetails)? onTapDown,
    void Function(TapUpDetails)? onTapUp,
    void Function()? onTapCancel,
    void Function(bool)? onHighlightChanged,
    void Function(bool)? onHover,
    MouseCursor? mouseCursor,
    Color? focusColor,
    Color? hoverColor,
    Color? highlightColor,
    MaterialStateProperty<Color?>? overlayColor,
    Color? splashColor,
    InteractiveInkFeatureFactory? splashFactory,
    double? radius,
    BorderRadius? borderRadius,
    ShapeBorder? customBorder,
    bool? enableFeedback = true,
    bool excludeFromSemantics = false,
    FocusNode? focusNode,
    bool canRequestFocus = true,
    void Function(bool)? onFocusChange,
    bool autofocus = false,

    ///
    ///
    Key? containerKey,
    AlignmentGeometry? alignment,
    EdgeInsetsGeometry? padding,
    Color? color,
    Decoration? decoration,
    Decoration? foregroundDecoration,
    double? width,
    double? height,
    BoxConstraints? constraints,
    EdgeInsetsGeometry? margin,
    Matrix4? transform,
    AlignmentGeometry? transformAlignment,
    Widget? child,
    Clip clipBehavior = Clip.none,
  }) : super(
          key: key,
          autofocus: autofocus,
          borderRadius: borderRadius,
          canRequestFocus: canRequestFocus,
          customBorder: customBorder,
          enableFeedback: enableFeedback,
          excludeFromSemantics: excludeFromSemantics,
          focusColor: focusColor,
          focusNode: focusNode,
          highlightColor: highlightColor,
          hoverColor: hoverColor,
          mouseCursor: mouseCursor,
          onDoubleTap: onDoubleTap,
          onFocusChange: onFocusChange,
          onHighlightChanged: onHighlightChanged,
          onHover: onHover,
          onLongPress: onLongPress,
          onTap: onTap,
          onTapCancel: onTapCancel,
          onTapDown: onTapDown,
          onTapUp: onTapUp,
          overlayColor: overlayColor,
          radius: radius,
          splashColor: splashColor,
          splashFactory: splashFactory,
          child: Container(
            key: containerKey,
            alignment: alignment,
            child: child,
            clipBehavior: clipBehavior,
            color: color,
            constraints: constraints,
            decoration: decoration,
            foregroundDecoration: foregroundDecoration,
            height: height,
            margin: margin,
            padding: padding,
            transform: transform,
            transformAlignment: transformAlignment,
            width: width,
          ),
        );
}
